package Crawfis680.Grid;


public class GridDataFunction implements IGridDataAccessor<Double> {

	int width, height;
	double sigma = 3;
	double strength = 10;
	@Override
	public int Height() {
		return height;
	}

	@Override
	public int Width() {
		return width;
	}

	@Override
	public Double getNodeLabel(int rowIndex, int columnIndex) {
		// Radial function from center of the grid.
		double x = columnIndex / (double)(width-1) - 0.5f;
		double y = rowIndex / (double)(height-1) - 0.5f;
		double value = Math.exp(-sigma*(x*x+y*y));
		return value;
	}

	public GridDataFunction(int width, int height)
	{
		this.width = width;
		this.height = height;
	}
}
