package Crawfis680.IGraph;

public interface IGraphVisitor<N> {
	public void PreAcceptRoot(int nodeIndex);
	public void PostAcceptRoot(int nodeIndex);
	public void PreAccept(int nodeIndex, int parentNode);
	public void PostAccept(int nodeIndex, int parentNode);
	public boolean Continue();
	public void Reset();
}
